Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_POA_Helper Class Reference

POA Abstraction. More...

`#include <POA_Helper.h>`

Inheritance diagram for TAO_Notify_POA_Helper:

[legend]
Collaboration diagram for TAO_Notify_POA_Helper:

[legend]
List of all members.

## Public Methods
| TAO_Notify_POA_Helper (void)
| Default Constructor.
void | init (PortableServer::POA_ptr parent_poa, const char *poa_name ACE_ENV_ARG_DECL)
| Create a new PortableServer::POA.
void | init (PortableServer::POA_ptr parent_poa ACE_ENV_ARG_DECL)
| Create a new PortableServer::POA. The name is chosen at random.
virtual | ~TAO_Notify_POA_Helper ()
| Destructor.
PortableServer::POA_ptr | poa (void)
| Get underlying POA.
void | destroy (ACE_ENV_SINGLE_ARG_DECL)
| Destroy underlying POA.
CORBA::Object_ptr | activate (PortableServer::Servant servant, CORBA::Long &id ACE_ENV_ARG_DECL)
| Activate Object, the POA will assign an ID and return its value.
void | deactivate (CORBA::Long id ACE_ENV_ARG_DECL) const
| Deactivate Object with ID.
CORBA::Object_ptr | id_to_reference (CORBA::Long id ACE_ENV_ARG_DECL) const
| Convert ID to reference.
## Protected Methods
virtual void | set_policy (PortableServer::POA_ptr parent_poa, CORBA::PolicyList &policy_list ACE_ENV_ARG_DECL)
| Set default POA policies.
void | create_i (PortableServer::POA_ptr parent_poa, const char *poa_name, CORBA::PolicyList &policy_list ACE_ENV_ARG_DECL)
| Apply the polices and create child POA.
ACE_CString | get_unique_id (void)
| Generate a unique id for each POA created.
PortableServer::ObjectId * | long_to_ObjectId (CORBA::Long id ACE_ENV_ARG_DECL) const
| Convert id to ObjectID.
## Protected Attributes
PortableServer::POA_var | poa_
| POA.

## Detailed Description

POA Abstraction.

## Constructor & Destructor Documentation

TAO_Notify_POA_Helper::TAO_Notify_POA_Helper | ( | void |  | ) |

| Default Constructor.

TAO_Notify_POA_Helper::~TAO_Notify_POA_Helper | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

CORBA::Object_ptr TAO_Notify_POA_Helper::activate | ( | PortableServer::Servant | servant,
|  | CORBA::Long &id | ACE_ENV_ARG_DECL
| ) |

| Activate Object, the POA will assign an ID and return its value.

void TAO_Notify_POA_Helper::create_i | ( | PortableServer::POA_ptr | parent_poa,
|  | const char * | poa_name,
|  | CORBA::PolicyList &policy_list | ACE_ENV_ARG_DECL
| ) | `[protected]`

| Apply the polices and create child POA.

void TAO_Notify_POA_Helper::deactivate | ( | CORBA::Long id | ACE_ENV_ARG_DECL | ) | const

| Deactivate Object with ID.

void TAO_Notify_POA_Helper::destroy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Destroy underlying POA.

ACE_CString TAO_Notify_POA_Helper::get_unique_id | ( | void |  | ) | `[protected]`

| Generate a unique id for each POA created.

CORBA::Object_ptr TAO_Notify_POA_Helper::id_to_reference | ( | CORBA::Long id | ACE_ENV_ARG_DECL | ) | const

| Convert ID to reference.

void TAO_Notify_POA_Helper::init | ( | PortableServer::POA_ptr parent_poa | ACE_ENV_ARG_DECL | ) |

| Create a new PortableServer::POA. The name is chosen at random. Reimplemented in TAO_Notify_RT_POA_Helper.

void TAO_Notify_POA_Helper::init | ( | PortableServer::POA_ptr | parent_poa,
|  | const char *poa_name | ACE_ENV_ARG_DECL
| ) |

| Create a new PortableServer::POA.

PortableServer::ObjectId * TAO_Notify_POA_Helper::long_to_ObjectId | ( | CORBA::Long id | ACE_ENV_ARG_DECL | ) | const`[protected]`

| Convert id to ObjectID.

PortableServer::POA_ptr TAO_Notify_POA_Helper::poa | ( | void |  | ) |

| Get underlying POA.

void TAO_Notify_POA_Helper::set_policy | ( | PortableServer::POA_ptr | parent_poa,
|  | CORBA::PolicyList &policy_list | ACE_ENV_ARG_DECL
| ) | `[protected, virtual]`

| Set default POA policies.

## Member Data Documentation

PortableServer::POA_var TAO_Notify_POA_Helper::poa_`[protected]`

| POA.

The documentation for this class was generated from the following files:

- POA_Helper.h
- POA_Helper.cpp